package oper
@ bindctl(sequence ^E set parse_command _spageu)
@ bindctl(sequence ^D set parse_command _spaged)

alias _spageu {
	@:_cwin=winnum()
	window ref operview
	parsekey SCROLL_BACKWARD
	window ref $_cwin
}

alias _spaged {
	@:_cwin=winnum()
	window ref operview
	parsekey SCROLL_FORWARD
	window ref $_cwin
}

alias _winnames {
	fe ($winrefs()) n1 {
		if (match($0 $winnam($n1)) > 0) {
			return $n1
			
		}{
			return 0
		}
	}
}

alias ovsize {   
        if (![$0]) {
                xecho -v (oper).. operview window size set to "$_ovsize" 
        }{
                @_ovsize=[$0]
                xecho -v (oper).. operview window size set to "$_ovsize" 
        }
}
                         
alias ovmode { 
        if (![$0]) {
		xecho -v (oper).. oper modes set to "$_ovmode"
        }{
		@_ovmode=[$0]
		xecho -v (oper).. oper modes set to "$_ovmode"
        }
}

/ON -SERVER_NOTICE "*requesting gline for*" {
	@glineTarget=strip([] [$11]);
	@glineReason=strip([] [$12-]); 
}

ALIAS gi {
	input "GLINE $glineTarget for '$glineReason'? (y/n) " {
		if ( [$0] == [y] ) /quote gline $glineTarget :$glineReason
	}
}

alias operview {
	if (winnum(operview) != -1) {
		abecho [a+c] toggled operview off.
			^window OperView kill
			^umode -$_ovmode
		
	}{
		
				abecho [a+c] toggled operview on.
					^window new fixed on size $_ovsize name OperView level snotes,opnotes,wallops;umode +$_ovmode
#					^set status_server [%S]
					^set status_format [operview] %> [$servername($winserv(OperView))]
					^window back
						
	}
}

alias doper {
	umode -o 
}

alias operwall {
	quote operwall :$*
}

alias locops {
	quote locops :$*
}

alias tkline {
	if (![$0]) {
		xecho -v [a+c] usage: /tkline <minutes> [nick|hostmask] <reason>
	}{
		quote kline $0 $1 :$2-
	}
}
alias kline {
	if (match(*@* $0)) {
		quote kline $0 :$1-
	}{
		if (getuhost($0)) {
			quote kline $sar(g/*!*//$mask(3 $getuhost($0))) :$1-
		}{
			obecho $0 no such nick. 
		}
	}
}

alias unkline {
	quote unkline $*
}

alias kill {
	quote kill $0 :$1-
}

alias mkill {
	if (![$0]) {
		fe ($remw($N $chanusers($C))) n1 {
			quote kill $n1 :bye
		}
	}{
		 fe ($remw($N $chanusers($C))) n1 {
      		quote kill $n1 :$*
		}
	} 	
}           

alias mkline {
	if (![$0]) {   
    	fe ($remw($N $chanusers($C))) n1 {
      		kline $n1
    	} 
    }{
     	fe ($remw($N $chanusers($C))) n1 {
      		kline $n1 $*
      	}           
    }
}

alias gline {
	quote gline $0 :$1-
}

alias cjupe {
	quote mode $0 +j
}

alias ucjupe {
	quote mode $0 -j
}

alias modlist {
	quote modlist 
}

alias modload {
	quote modload $*
}

alias modunload {
	quote modunload $*
}

^on ^server_notice * {
        aecho $fparse(format_timestamp_some $($_timess))$2-
}

^on ^server_notice "% % % % % % % % % /whois*" {
	aecho $fparse(format_timestamp_some $($_timess))[$9] on you requested by $4!$5)
}

#stuff for mikey(Alien88) that he doesn't care much about being silenced.
^on ^server_notice "*TRACE requested*" #
^on ^server_notice "*Too many clients*" #
^on ^server_notice "*farcans*nitedog*never*leaves*" #
^on ^server_notice "*locally juped channel*" #
^on ^server_notice "*drone flooder *dcc*" #
^on ^server_notice "*irc.stats.gatherer* being introduced*" #
^on ^server_notice "*irc.stats.gatherer* split from*" #      
^on ^server_notice "*stats.efnet.info* being introduced*" #
^on ^server_notice "*stats.efnet.info* split from*" #      
^on ^server_notice "*stats.blackened.com* being introduced*" #
^on ^server_notice "*stats.blackened.com* split from*" #      
^on ^server_notice "*Temporary K-line for*expired*" #      
^on ^server_notice "*I-line is full for*" #
^on ^server_notice "*john23*spambot*" #

^on ^server_notice "% % % % LINKS*" {
	aecho $fparse(format_timestamp_some $($_timess))[links $5] requested by $8!$9 $10
}

^on ^server_notice "% % % % STATS*" {
	aecho $fparse(format_timestamp_some $($_timess))[stats '$5'] requested by $8!$9) $10
}

^on ^server_notice "% % % % % % % % % (O)*" {
	aecho $fparse(format_timestamp_some $($_timess))$4!$5 is now a $8 $9
}

^on ^server_notice "% % % % % exiting:*" {
	aecho $fparse(format_timestamp_some $($_timess))Client exiting: $6!$7 $8-
}

^on ^server_notice "% % % % % connecting:*" {
	aecho $fparse(format_timestamp_some $($_timess))Client connecting: $6!$7 $8-
}

^on ^server_notice "% % % % % % rehashing*" {
	aecho $fparse(format_timestamp_some $($_timess))$4 is rehashing $7- 
}

^on ^server_notice "% % % % ADMIN*" {
	aecho $fparse(format_timestamp_some $($_timess))[Admin] requested by $7!$8 $9-
}

^on ^server_notice "% % % % % SQUIT*" {
	aecho $fparse(format_timestamp_some $($_timess))$4 $5 $6 from $8 $9-
}

^on ^server_notice "% % % % % was connected*" {
	aecho $fparse(format_timestamp_some $($_timess)) $4 $5 $6 $7 $8 $9 $10-
}

^on ^server_notice "% % % % Link with*" {
	aecho $fparse(format_timestamp_some $($_timess))Link $5 $6 $7-
}

^on ^server_notice "% % % % % % already present*" {
	aecho $4$fparse(format_timestamp_some $($_timess))$5 $6 $7 from $9
}

^on ^server_notice "* removed * ?-Line *" {
	switch ($8) {
		(K-Line) {
			xecho -b $fparse(format_timestamp_some $($_timess)) $cparse([%b$8%n] $4 $5 $6 $7 %b$8%n $9 %R$10%n)
		}
		(G-Line) {
			xecho -b $fparse(format_timestamp_some $($_timess)) $cparse([%g$8%n] $4 $5 $6 $7 %g$8%n $9 %R$10%n)
		}
		(D-Line) {
			xecho -b $fparse(format_timestamp_some $($_timess)) $cparse([%c$8%n] $4 $5 $6 $7 %c$8%n $9 %R$10%n)
		}
		(X-Line) {
			xecho -b $fparse(format_timestamp_some $($_timess)) $cparse([%p$8%n] $4 $5 $6 $7 %p$8%n $9 %R$10%n)
		}
		(*) {
			xecho -b $fparse(format_timestamp_some $($_timess)) $cparse([%y$8%n] $4 $5 $6 $7 %y$8%n $9 %R$10%n)
		}
	}
}

^on ^server_notice "* added ?-Line for *" {
	switch ($6) {
		(K-Line) {
			xecho -b $fparse(format_timestamp_some $($_timess)) $cparse([%b$6%n] $4 $5 %b$6%n $7 %R$8%n %m$9-%n)
		}
		(G-Line) {
			xecho -b $fparse(format_timestamp_some $($_timess)) $cparse([%g$6%n] $4 $5 %g$6%n $7 %R$8%n %m$9-%n)
		}
		(D-Line) {
			xecho -b $fparse(format_timestamp_some $($_timess)) $cparse([%c$6%n] $4 $5 %c$6%n $7 %R$8%n %m$9-%n)
		}
		(X-Line) {
			xecho -b $fparse(format_timestamp_some $($_timess)) $cparse([%p$6%n] $4 $5 %p$6%n $7 %R$8%n %m$9-%n)
		}
		(*) {
			xecho -b $fparse(format_timestamp_some $($_timess)) $cparse([%y$6%n] $4 $5 %y$6%n $7 %R$8%n %m$9-%n)
		}
	}
}

^on ^server_notice "* added temporary * ?-Line for *" {
	switch ($9) {
		(K-Line) {
			xecho -b $fparse(format_timestamp_some $($_timess)) $cparse([%b$9%n] $4 $5 $6 %b$7 $8 $9%n $10 %R$11%n %m$12-%n)
		}
		(D-Line) {
			xecho -b $fparse(format_timestamp_some $($_timess)) $cparse([%c$9%n] $4 $5 $6 %c$7 $8 $9%n $10 %R$11%n %m$12-%n)
		}
		(X-Line) {
			xecho -b $fparse(format_timestamp_some $($_timess)) $cparse([%p$9%n] $4 $5 $6 %p$7 $8 $9%n $10 %R$11%n %m$12-%n)
		}
		(*) {
			xecho -b $fparse(format_timestamp_some $($_timess)) $cparse([$y$9%n] $4 $5 $6 $y$7 $8 $9%n $10 %R$11%n %m$12-%n)
		}
	}
}

^on ^server_notice "* ?LINE active for *" {
	switch ($4) {
		(DLINE) {
			xecho -b $fparse(format_timestamp_some $($_timess)) $cparse([%c$4%n] $5 $6 %R$7%n $8-)
		}
		(KLINE) {
			xecho -b $fparse(format_timestamp_some $($_timess)) $cparse([%b$4%n] $5 $6 %R$7%n $8-)
		}
		(*) {
			xecho -b $fparse(format_timestamp_some $($_timess)) $cparse([%y$4%n] $5 $6 %R$7%n $8-)
		}
	}
}

^on ^382 * {
	aecho $1-
}

#^on ^364 * {
#       aecho $1-
#}

^on ^365 * {
        aecho $1 $2 of links list.
} 

^on ^243 * {
	aecho $1-
}

^on ^219 * #
