package away
alias mlog {config b $*}   
alias clog {config c $*}
alias nlog {config d $*}

alias remlog  {
	if (fexist(~/.amn/away.log) == -1) {
		xecho -v -b log file does not exist.
		}{		
			input "remove log? [y|n]: " {
				if ([$0]==[y]) {
					exec rm ~/.amn/away.log
						xecho -v -b ~/.amn/away.log deleted
				}{ 
						xecho -v -b remlog canceled 
			}	
		}
	}
}
				

alias readlog {
	more ~/.amn/away.log
	}

on -idle * if ([$0]!= 0) { 
	if ([$0]== awayt && awaystat != 1 && togaway != [OFF]) {
		away autoaway after $0 mins
			xecho -b Auto-Away after $0 minutes
	}
}


^on #-msg 332 * {
	if (awaystat && matchitem(awaymsgs $0) < 0) {
	@setitem(awaymsgs $numitems(awaymsgs) $0)
	}
}


on #-connect 1 * if (awaystat) {
        //away $awaymsg
	}

alias away {
	@awayl=[on]
	@awaystat=1                       
	@awaytime=()
    @awaymsg=[$0]?[$*]:awayr
       		//away away:  \($(awaymsg)\) $fparse(format_away)
			@awaytime=time()
	
	}

alias back if ([$A]) {
	@awayl=[off]
	@awaystat=0
	@delarray(awaymsgs)
	@backtime=time()
		if (awaytime > [0]) {
		@timediff=tdiff2(${backtime - awaytime})
			//away
				xecho -v -b type /readlog to view log. 
		}

	}{
		xecho -v -b you are not away..
}

alias awaytime if ([$0]) {
		@ awayt = [$0]  
                xecho -v [a+c] awaytime set to "$awayt"
                } else {
                xecho -v [a+c] awaytime set to "$awayt"}

alias awaymsg if ([$0]) {
                @ awayr = [$*]
                xecho -v [a+c] away reason set to "$awayr"
                } else {
                xecho -v [a+c] away reason set to "$awayr"}

alias awaytog {                   
	if (![$0]) {          
    	xecho -v [a+c] away toggle is set to "$togaway"
		}
       		if (match($0 on off)) {@togaway = [$0]
           		xecho -v [a+c] away toggle is set to "$togaway"
			}{
                if ([$0]&&!match($0 on off)) {
                	xecho -v [a+c] invalid choice
                }
            }                

}

#move pager crap here.
alias pager {
        if (![$0]) {
                xecho -v [a+c] pager set to "$togpager"
        }                                              
                if (match($0 on off)) {
                @togpager = [$0]       
                        xecho -v [a+c] pager set to "$togpager"
                }{                                             
                        if ([$0]&&!match($0 on off)) {
                                xecho -v [a+c] invalid choice
                        }                                    
                }        
}
 
^on #-ctcp 2 "% % page*" {
        if (togpager != [off]) {
                beep            
        }           
}

::move the logging shit here since it's for away logging anyways. 
::no use having it as a stupid seperate module. //zak
::some vars.
@recvtime=[$strftime(%x at %I:%M:%S %p)]

::logging hooks
on #-ctcp 2 "*" if (crapl ==[ON] && awaystat && awayl ==[ON]) {
	@fd = open(~/.amn/away.log W)
        @write($fd CTCP $recvtime $0 \($userhost()\) requested $2 $3- from $1)
	@close($fd)
}
on #-msg 4 "*" if (msgl ==[ON] && awaystat && awayl ==[ON]) {
	@fd = open(~/.amn/away.log W)
	@write($fd MSG $recvtime $0 \($userhost()\) $1-)
        @close($fd)
}
on #-notice 3 "*" if (notl==[ON]&&awaystat&&awayl==[ON]&&match(*[*#*]* $1-)==[0]) {
	@fd = open(~/.amn/away.log W)
	@write($fd NOTICE $recvtime $0 \($userhost()\) $1-)
	@close($fd)
}

on #-notice 4 "*[*#*]*" if (crapl==[ON]&&awaystat&&awayl==[ON]) { 
	@fd = open(~/.amn/away.log W)
	@write($fd WALL $recvtime $0 $1 $2-)
	@close($fd)}


on #-public_other 4 * if (awayl==[ON]&&awaystat&&match(*$N* $2-)&&plog==[ON]) {
	@fd = open(~/.amn/away.log W)                              
        @write($fd PUBLIC $recvtime <$0:$1> $2-) 
	@close($fd)}

on #-public 5 * if (awayl==[ON]&&awaystat&&match(*$N* $2-)&&plog==[ON]) {
	@fd = open(~/.amn/away.log W)                              
        @write($fd PUBLIC $recvtime <$0:$1> $2-) 
	@close($fd)}

on #-kick 33 '$N' {
	if (awayl==[ON]&&awaystat&&crapl==[ON]) {
	@fd = open(~/.amn/away.log W)                              
        @write($fd KICK $recvtime $1 kicked you off $2 for reason $3-) 
	@close($fd)}}

alias logcrap {
	if (![$0]) {
		xecho -v [a+c] misc crap logging set to "$crapl"
	}
     	if (match($0 on off)) {
		@crapl = [$0]
          xecho -v [a+c] misc crap logging set to "$crapl"
		}{
	  		if ([$0]&&!match($0 on off)) {
				xecho -v [a+c] invalid choice
			}
    	}	
}            

alias logm {
	if (![$0]) {
		xecho -v [a+c] msg logging set to "$msgl"
	}
    	if (match($0 on off)) {
		@msgl = [$0]
          xecho -v [a+c] msg logging set to "$msgl"
		}{
	  		if ([$0]&&!match($0 on off)) {
				xecho -v [a+c] invalid choice
			}
    	}
}            

alias logn {
	if (![$0]) {
		xecho -v [a+c] notice logging set to "$notl"
	}
		if (match($0 on off)) {
		@notl = [$0]
        	xecho -v [a+c] notice logging set to "$notl"
		}{
	  		if ([$0]&&!match($0 on off)) {
				xecho -v [a+c] invalid choice
			}
    	}
}            

alias logpub {
	if (![$0]) {
		xecho -v [a+c] public logging set to "$plog"
	}
        if (match($0 on off)) {
		@plog = [$0]
        	xecho -v [a+c] public logging set to "$plog"
		}{
	  		if ([$0]&&!match($0 on off)) {
				xecho -v [a+c] invalid choice
			}
    	}
}            
